Linux: update to automake 1.16.1
[scilab.git] / scilab / modules / mpi / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2011 - DIGITEO - Sylvestre LEDRU
19 #
20 # Copyright (C) 2012 - 2016 - Scilab Enterprises
21 #
22 # This file is hereby licensed under the terms of the GNU GPL v2.0,
23 # pursuant to article 5.3.4 of the CeCILL v.2.1.
24 # This file was originally licensed under the terms of the CeCILL v2.1,
25 # and continues to be available under such terms.
26 # For more information, see the COPYING file which you should have received
27 # along with this program.
28
29 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
30 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
31 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
32 #
33 # Copyright (C) 2012 - 2016 - Scilab Enterprises
34 #
35 # This file is hereby licensed under the terms of the GNU GPL v2.0,
36 # pursuant to article 5.3.4 of the CeCILL v.2.1.
37 # This file was originally licensed under the terms of the CeCILL v2.1,
38 # and continues to be available under such terms.
39 # For more information, see the COPYING file which you should have received
40 # along with this program.
41 #
42
43 ##########
44 ### Makefile included stuff
45 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
46 ##########
47
48
49
50 VPATH = @srcdir@
51 am__is_gnu_make = { \
52   if test -z '$(MAKELEVEL)'; then \
53     false; \
54   elif test -n '$(MAKE_HOST)'; then \
55     true; \
56   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
57     true; \
58   else \
59     false; \
60   fi; \
61 }
62 am__make_running_with_option = \
63   case $${target_option-} in \
64       ?) ;; \
65       *) echo "am__make_running_with_option: internal error: invalid" \
66               "target option '$${target_option-}' specified" >&2; \
67          exit 1;; \
68   esac; \
69   has_opt=no; \
70   sane_makeflags=$$MAKEFLAGS; \
71   if $(am__is_gnu_make); then \
72     sane_makeflags=$$MFLAGS; \
73   else \
74     case $$MAKEFLAGS in \
75       *\\[\ \   ]*) \
76         bs=\\; \
77         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
78           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
79     esac; \
80   fi; \
81   skip_next=no; \
82   strip_trailopt () \
83   { \
84     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
85   }; \
86   for flg in $$sane_makeflags; do \
87     test $$skip_next = yes && { skip_next=no; continue; }; \
88     case $$flg in \
89       *=*|--*) continue;; \
90         -*I) strip_trailopt 'I'; skip_next=yes;; \
91       -*I?*) strip_trailopt 'I';; \
92         -*O) strip_trailopt 'O'; skip_next=yes;; \
93       -*O?*) strip_trailopt 'O';; \
94         -*l) strip_trailopt 'l'; skip_next=yes;; \
95       -*l?*) strip_trailopt 'l';; \
96       -[dEDm]) skip_next=yes;; \
97       -[JT]) skip_next=yes;; \
98     esac; \
99     case $$flg in \
100       *$$target_option*) has_opt=yes; break;; \
101     esac; \
102   done; \
103   test $$has_opt = yes
104 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
105 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
106 pkgdatadir = $(datadir)/@PACKAGE@
107 pkgincludedir = $(includedir)/@PACKAGE@
108 pkglibdir = $(libdir)/@PACKAGE@
109 pkglibexecdir = $(libexecdir)/@PACKAGE@
110 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
111 install_sh_DATA = $(install_sh) -c -m 644
112 install_sh_PROGRAM = $(install_sh) -c
113 install_sh_SCRIPT = $(install_sh) -c
114 INSTALL_HEADER = $(INSTALL_DATA)
115 transform = $(program_transform_name)
116 NORMAL_INSTALL = :
117 PRE_INSTALL = :
118 POST_INSTALL = :
119 NORMAL_UNINSTALL = :
120 PRE_UNINSTALL = :
121 POST_UNINSTALL = :
122 build_triplet = @build@
123 host_triplet = @host@
124 @NEED_JAVA_TRUE@am__append_1 = java
125 subdir = modules/mpi
126 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
127 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
128         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
129         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
130         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
131         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
132         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
133         $(top_srcdir)/m4/intel_compiler.m4 \
134         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
135         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
136         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
137         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
138         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
139         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
140         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
141         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
142         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
143         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
144         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
145 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
146         $(ACLOCAL_M4)
147 DIST_COMMON = $(srcdir)/Makefile.am $(libscimpi_la_include_HEADERS) \
148         $(am__DIST_COMMON)
149 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
150 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
151 CONFIG_CLEAN_FILES =
152 CONFIG_CLEAN_VPATH_FILES =
153 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
154 am__vpath_adj = case $$p in \
155     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
156     *) f=$$p;; \
157   esac;
158 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
159 am__install_max = 40
160 am__nobase_strip_setup = \
161   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
162 am__nobase_strip = \
163   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
164 am__nobase_list = $(am__nobase_strip_setup); \
165   for p in $$list; do echo "$$p $$p"; done | \
166   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
167   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
168     if (++n[$$2] == $(am__install_max)) \
169       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
170     END { for (dir in files) print dir, files[dir] }'
171 am__base_list = \
172   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
173   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
174 am__uninstall_files_from_dir = { \
175   test -z "$$files" \
176     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
177     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
178          $(am__cd) "$$dir" && rm -f $$files; }; \
179   }
180 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
181         "$(DESTDIR)$(libscimpi_la_etcdir)" \
182         "$(DESTDIR)$(libscimpi_la_rootdir)" \
183         "$(DESTDIR)$(libscimpi_la_sci_gatewaydir)" \
184         "$(DESTDIR)$(libscimpi_la_includedir)"
185 LTLIBRARIES = $(pkglib_LTLIBRARIES)
186 am__DEPENDENCIES_1 =
187 libscimpi_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
188 am__dirstamp = $(am__leading_dot)dirstamp
189 am__objects_1 = sci_gateway/c/libscimpi_la-sci_mpi_init.lo \
190         sci_gateway/c/libscimpi_la-sci_mpi_finalize.lo \
191         sci_gateway/c/libscimpi_la-sci_mpi_comm_size.lo \
192         sci_gateway/c/libscimpi_la-sci_mpi_comm_rank.lo \
193         sci_gateway/c/libscimpi_la-sci_mpi_recv.lo \
194         sci_gateway/c/libscimpi_la-sci_mpi_send.lo \
195         sci_gateway/c/libscimpi_la-sci_mpi_irecv.lo \
196         sci_gateway/c/libscimpi_la-sci_mpi_isend.lo \
197         sci_gateway/c/libscimpi_la-sci_mpi_bcast.lo \
198         sci_gateway/c/libscimpi_la-sci_mpi_wait.lo \
199         sci_gateway/c/libscimpi_la-sci_mpi_get_processor_name.lo
200 am__objects_2 = sci_gateway/cpp/libscimpi_la-sci_mpi_createComm.lo
201 am__objects_3 = src/c/libscimpi_la-serialization.lo \
202         src/c/libscimpi_la-deserialization.lo
203 am__objects_4 = src/cpp/libscimpi_la-getOptionalComm.lo
204 am_libscimpi_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
205         $(am__objects_3) $(am__objects_4)
206 libscimpi_la_OBJECTS = $(am_libscimpi_la_OBJECTS)
207 AM_V_lt = $(am__v_lt_@AM_V@)
208 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
209 am__v_lt_0 = --silent
210 am__v_lt_1 = 
211 AM_V_P = $(am__v_P_@AM_V@)
212 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
213 am__v_P_0 = false
214 am__v_P_1 = :
215 AM_V_GEN = $(am__v_GEN_@AM_V@)
216 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
217 am__v_GEN_0 = @echo "  GEN     " $@;
218 am__v_GEN_1 = 
219 AM_V_at = $(am__v_at_@AM_V@)
220 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
221 am__v_at_0 = @
222 am__v_at_1 = 
223 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
224 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
225 am__maybe_remake_depfiles = depfiles
226 am__depfiles_remade =  \
227         sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_bcast.Plo \
228         sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Plo \
229         sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Plo \
230         sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_finalize.Plo \
231         sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_get_processor_name.Plo \
232         sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_init.Plo \
233         sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_irecv.Plo \
234         sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_isend.Plo \
235         sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_recv.Plo \
236         sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_send.Plo \
237         sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_wait.Plo \
238         sci_gateway/cpp/$(DEPDIR)/libscimpi_la-sci_mpi_createComm.Plo \
239         src/c/$(DEPDIR)/libscimpi_la-deserialization.Plo \
240         src/c/$(DEPDIR)/libscimpi_la-serialization.Plo \
241         src/cpp/$(DEPDIR)/libscimpi_la-getOptionalComm.Plo
242 am__mv = mv -f
243 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
244         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
245 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
246         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
247         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
248         $(AM_CFLAGS) $(CFLAGS)
249 AM_V_CC = $(am__v_CC_@AM_V@)
250 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
251 am__v_CC_0 = @echo "  CC      " $@;
252 am__v_CC_1 = 
253 CCLD = $(CC)
254 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
255         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
256         $(AM_LDFLAGS) $(LDFLAGS) -o $@
257 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
258 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
259 am__v_CCLD_0 = @echo "  CCLD    " $@;
260 am__v_CCLD_1 = 
261 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
262         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
263 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
264         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
265         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
266         $(AM_CXXFLAGS) $(CXXFLAGS)
267 AM_V_CXX = $(am__v_CXX_@AM_V@)
268 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
269 am__v_CXX_0 = @echo "  CXX     " $@;
270 am__v_CXX_1 = 
271 CXXLD = $(CXX)
272 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
273         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
274         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
275 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
276 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
277 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
278 am__v_CXXLD_1 = 
279 SOURCES = $(libscimpi_la_SOURCES)
280 DIST_SOURCES = $(libscimpi_la_SOURCES)
281 am__can_run_installinfo = \
282   case $$AM_UPDATE_INFO_DIR in \
283     n|no|NO) false;; \
284     *) (install-info --version) >/dev/null 2>&1;; \
285   esac
286 DATA = $(libscimpi_la_etc_DATA) $(libscimpi_la_root_DATA) \
287         $(libscimpi_la_sci_gateway_DATA)
288 HEADERS = $(libscimpi_la_include_HEADERS)
289 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
290 # Read a list of newline-separated strings from the standard input,
291 # and print each of them once, without duplicates.  Input order is
292 # *not* preserved.
293 am__uniquify_input = $(AWK) '\
294   BEGIN { nonempty = 0; } \
295   { items[$$0] = 1; nonempty = 1; } \
296   END { if (nonempty) { for (i in items) print i; }; } \
297 '
298 # Make sure the list of sources is unique.  This is necessary because,
299 # e.g., the same source file might be shared among _SOURCES variables
300 # for different programs/libraries.
301 am__define_uniq_tagged_files = \
302   list='$(am__tagged_files)'; \
303   unique=`for i in $$list; do \
304     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
305   done | $(am__uniquify_input)`
306 ETAGS = etags
307 CTAGS = ctags
308 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
309         $(top_srcdir)/config/depcomp \
310         $(top_srcdir)/config/mkinstalldirs TODO
311 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
312 ACLOCAL = @ACLOCAL@
313 ALL_LINGUAS = @ALL_LINGUAS@
314 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
315 AMTAR = @AMTAR@
316 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
317 ANT = @ANT@
318 ANTLR = @ANTLR@
319 AR = @AR@
320 ARPACK_LIBS = @ARPACK_LIBS@
321 ASM3 = @ASM3@
322 AUTOCONF = @AUTOCONF@
323 AUTOHEADER = @AUTOHEADER@
324 AUTOMAKE = @AUTOMAKE@
325 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
326 AWK = @AWK@
327 BATIK = @BATIK@
328 BLAS_CFLAGS = @BLAS_CFLAGS@
329 BLAS_LIBS = @BLAS_LIBS@
330
331 # Includes need for the compilation
332 # MPI code needs to be compile with the openmpi 'compiler' (it is a wrapper)
333 CC = $(OPENMPI_CC)
334 CCACHE = @CCACHE@
335 CCDEPMODE = @CCDEPMODE@
336 CFLAGS = @CFLAGS@
337 CHECKSTYLE = @CHECKSTYLE@
338 COBERTURA = @COBERTURA@
339 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
340 COMMONS_IO = @COMMONS_IO@
341 COMMONS_LOGGING = @COMMONS_LOGGING@
342 CPP = @CPP@
343 CPPFLAGS = @CPPFLAGS@
344 CURL_CFLAGS = @CURL_CFLAGS@
345 CURL_CONFIG = @CURL_CONFIG@
346 CURL_LIBS = @CURL_LIBS@
347 CURL_VERSION = @CURL_VERSION@
348 CXX = @CXX@
349 CXXCPP = @CXXCPP@
350 CXXDEPMODE = @CXXDEPMODE@
351 CXXFLAGS = @CXXFLAGS@
352 CYGPATH_W = @CYGPATH_W@
353 DEFS = @DEFS@
354 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
355 DEPDIR = @DEPDIR@
356 DLLTOOL = @DLLTOOL@
357 DOCBOOK_ROOT = @DOCBOOK_ROOT@
358 DOXYGEN_BIN = @DOXYGEN_BIN@
359 DSYMUTIL = @DSYMUTIL@
360 DUMPBIN = @DUMPBIN@
361 ECHO_C = @ECHO_C@
362 ECHO_N = @ECHO_N@
363 ECHO_T = @ECHO_T@
364 ECJ = @ECJ@
365 EGREP = @EGREP@
366 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
367 EXEEXT = @EXEEXT@
368 F77 = @F77@
369 FFLAGS = @FFLAGS@
370 FFTW3_LIB = @FFTW3_LIB@
371 FFTW_ENABLE = @FFTW_ENABLE@
372 FGREP = @FGREP@
373 FLEXDOCK = @FLEXDOCK@
374 FLIBS = @FLIBS@
375 FOP = @FOP@
376 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
377 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
378 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
379 FREEHEP_IO = @FREEHEP_IO@
380 FREEHEP_UTIL = @FREEHEP_UTIL@
381 GENHTML = @GENHTML@
382 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
383 GIWS_BIN = @GIWS_BIN@
384 GLUEGEN2_RT = @GLUEGEN2_RT@
385 GMSGFMT = @GMSGFMT@
386 GMSGFMT_015 = @GMSGFMT_015@
387 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
388 GREP = @GREP@
389 GUI_ENABLE = @GUI_ENABLE@
390 HAMCREST = @HAMCREST@
391 HAVE_CXX11 = @HAVE_CXX11@
392 HDF5_CFLAGS = @HDF5_CFLAGS@
393 HDF5_LIBS = @HDF5_LIBS@
394 HELP_ENABLE = @HELP_ENABLE@
395 INSTALL = @INSTALL@
396 INSTALL_DATA = @INSTALL_DATA@
397 INSTALL_PROGRAM = @INSTALL_PROGRAM@
398 INSTALL_SCRIPT = @INSTALL_SCRIPT@
399 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
400 INTLLIBS = @INTLLIBS@
401 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
402 JAR = @JAR@
403 JAVA = @JAVA@
404 JAVAC = @JAVAC@
405 JAVAC_DEBUG = @JAVAC_DEBUG@
406 JAVADOC = @JAVADOC@
407 JAVAH = @JAVAH@
408 JAVASCI_ENABLE = @JAVASCI_ENABLE@
409 JAVA_ENABLE = @JAVA_ENABLE@
410 JAVA_G = @JAVA_G@
411 JAVA_HOME = @JAVA_HOME@
412 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
413 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
414 JDB = @JDB@
415 JEUCLID_CORE = @JEUCLID_CORE@
416 JGRAPHX = @JGRAPHX@
417 JHALL = @JHALL@
418 JLATEXMATH = @JLATEXMATH@
419 JLATEXMATH_FOP = @JLATEXMATH_FOP@
420 JOGL2 = @JOGL2@
421 JROSETTA_API = @JROSETTA_API@
422 JROSETTA_ENGINE = @JROSETTA_ENGINE@
423 JUNIT4 = @JUNIT4@
424 LAPACK_LIBS = @LAPACK_LIBS@
425 LCOV = @LCOV@
426 LD = @LD@
427 LDFLAGS = @LDFLAGS@
428 LEX = @LEX@
429 LEXLIB = @LEXLIB@
430 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
431 LIBICONV = @LIBICONV@
432 LIBINTL = @LIBINTL@
433 LIBM = @LIBM@
434 LIBOBJS = @LIBOBJS@
435 LIBS = @LIBS@
436 LIBTOOL = @LIBTOOL@
437 LIPO = @LIPO@
438 LN_S = @LN_S@
439 LOGGING_LEVEL = @LOGGING_LEVEL@
440 LOOKS = @LOOKS@
441 LTLIBICONV = @LTLIBICONV@
442 LTLIBINTL = @LTLIBINTL@
443 LTLIBOBJS = @LTLIBOBJS@
444 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
445 LUCENE = @LUCENE@
446 LUCENE_ANALYZER = @LUCENE_ANALYZER@
447 LUCENE_PARSER = @LUCENE_PARSER@
448 MAINT = @MAINT@
449 MAKEINFO = @MAKEINFO@
450 MANIFEST_TOOL = @MANIFEST_TOOL@
451 MATIO_CFLAGS = @MATIO_CFLAGS@
452 MATIO_ENABLE = @MATIO_ENABLE@
453 MATIO_LIBS = @MATIO_LIBS@
454 MKDIR_P = @MKDIR_P@
455 MPI_ENABLE = @MPI_ENABLE@
456 MSGCAT = @MSGCAT@
457 MSGFMT = @MSGFMT@
458 MSGFMT_015 = @MSGFMT_015@
459 MSGMERGE = @MSGMERGE@
460 NM = @NM@
461 NMEDIT = @NMEDIT@
462 OBJDUMP = @OBJDUMP@
463 OBJEXT = @OBJEXT@
464 OCAMLC = @OCAMLC@
465 OCAMLDEP = @OCAMLDEP@
466 OCAMLLEX = @OCAMLLEX@
467 OCAMLOPT = @OCAMLOPT@
468 OCAMLYACC = @OCAMLYACC@
469 OPENMPI_CC = @OPENMPI_CC@
470 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
471 OPENMPI_CXX = @OPENMPI_CXX@
472 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
473 OPENMPI_LIBS = @OPENMPI_LIBS@
474 OPENMP_CFLAGS = @OPENMP_CFLAGS@
475 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
476 OPENMP_ENABLE = @OPENMP_ENABLE@
477 OPENMP_LIBS = @OPENMP_LIBS@
478 OTOOL = @OTOOL@
479 OTOOL64 = @OTOOL64@
480 PACKAGE = @PACKAGE@
481 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
482 PACKAGE_NAME = @PACKAGE_NAME@
483 PACKAGE_STRING = @PACKAGE_STRING@
484 PACKAGE_TARNAME = @PACKAGE_TARNAME@
485 PACKAGE_URL = @PACKAGE_URL@
486 PACKAGE_VERSION = @PACKAGE_VERSION@
487 PATH_SEPARATOR = @PATH_SEPARATOR@
488 PCRE_CFLAGS = @PCRE_CFLAGS@
489 PCRE_CONFIG = @PCRE_CONFIG@
490 PCRE_LIBS = @PCRE_LIBS@
491 PCRE_VERSION = @PCRE_VERSION@
492 PKG_CONFIG = @PKG_CONFIG@
493 POSUB = @POSUB@
494 POW_LIB = @POW_LIB@
495 PYTHON = @PYTHON@
496 RANLIB = @RANLIB@
497 RELOCATABLE = @RELOCATABLE@
498 RT_LIB = @RT_LIB@
499 SAXON = @SAXON@
500 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
501 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
502 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
503 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
504 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
505 SCIRENDERER = @SCIRENDERER@
506 SCIRENDERER_CP = @SCIRENDERER_CP@
507 SCI_CFLAGS = @SCI_CFLAGS@
508 SCI_CXXFLAGS = @SCI_CXXFLAGS@
509 SCI_FFLAGS = @SCI_FFLAGS@
510 SCI_LDFLAGS = @SCI_LDFLAGS@
511 SED = @SED@
512 SET_MAKE = @SET_MAKE@
513 SET_RELOCATABLE = @SET_RELOCATABLE@
514 SHELL = @SHELL@
515 SKINLF = @SKINLF@
516 SPLINT = @SPLINT@
517 STRIP = @STRIP@
518 SWIG_BIN = @SWIG_BIN@
519 SWIG_JAVA = @SWIG_JAVA@
520 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
521 SWIG_SCILAB = @SWIG_SCILAB@
522 TCLTK_LIBS = @TCLTK_LIBS@
523 TCL_INC_PATH = @TCL_INC_PATH@
524 TK_INC_PATH = @TK_INC_PATH@
525 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
526 UMFPACK_ENABLE = @UMFPACK_ENABLE@
527 UMFPACK_LIB = @UMFPACK_LIB@
528 USE_NLS = @USE_NLS@
529 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
530 VALGRIND_LIBS = @VALGRIND_LIBS@
531 VERSION = @VERSION@
532 WITH_OCAML = @WITH_OCAML@
533 WITH_TKSCI = @WITH_TKSCI@
534 XCOS_ENABLE = @XCOS_ENABLE@
535 XGETTEXT = @XGETTEXT@
536 XGETTEXT_015 = @XGETTEXT_015@
537 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
538 XMKMF = @XMKMF@
539 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
540 XML_APIS_EXT = @XML_APIS_EXT@
541 XML_CONFIG = @XML_CONFIG@
542 XML_FLAGS = @XML_FLAGS@
543 XML_LIBS = @XML_LIBS@
544 XML_VERSION = @XML_VERSION@
545 X_CFLAGS = @X_CFLAGS@
546 X_EXTRA_LIBS = @X_EXTRA_LIBS@
547 X_LIBS = @X_LIBS@
548 X_PRE_LIBS = @X_PRE_LIBS@
549 YACC = @YACC@
550 YFLAGS = @YFLAGS@
551 abs_builddir = @abs_builddir@
552 abs_srcdir = @abs_srcdir@
553 abs_top_builddir = @abs_top_builddir@
554 abs_top_srcdir = @abs_top_srcdir@
555 ac_ct_AR = @ac_ct_AR@
556 ac_ct_CC = @ac_ct_CC@
557 ac_ct_CXX = @ac_ct_CXX@
558 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
559 ac_ct_F77 = @ac_ct_F77@
560 am__include = @am__include@
561 am__leading_dot = @am__leading_dot@
562 am__quote = @am__quote@
563 am__tar = @am__tar@
564 am__untar = @am__untar@
565 bindir = @bindir@
566 build = @build@
567 build_alias = @build_alias@
568 build_cpu = @build_cpu@
569 build_os = @build_os@
570 build_vendor = @build_vendor@
571 builddir = @builddir@
572 cxx_present = @cxx_present@
573 datadir = @datadir@
574 datarootdir = @datarootdir@
575 docdir = @docdir@
576 dvidir = @dvidir@
577 exec_prefix = @exec_prefix@
578 host = @host@
579 host_alias = @host_alias@
580 host_cpu = @host_cpu@
581 host_os = @host_os@
582 host_vendor = @host_vendor@
583 htmldir = @htmldir@
584 includedir = @includedir@
585 infodir = @infodir@
586 install_sh = @install_sh@
587 libdir = @libdir@
588 libexecdir = @libexecdir@
589 localedir = @localedir@
590 localstatedir = @localstatedir@
591 mandir = @mandir@
592 mkdir_p = @mkdir_p@
593 oldincludedir = @oldincludedir@
594 pdfdir = @pdfdir@
595 prefix = @prefix@
596 program_transform_name = @program_transform_name@
597 psdir = @psdir@
598 sbindir = @sbindir@
599 sharedstatedir = @sharedstatedir@
600 srcdir = @srcdir@
601 sysconfdir = @sysconfdir@
602 target_alias = @target_alias@
603 top_build_prefix = @top_build_prefix@
604 top_builddir = @top_builddir@
605 top_srcdir = @top_srcdir@
606 yacc_present = @yacc_present@
607 MPI_CPP_SOURCES = \
608     src/cpp/getOptionalComm.cpp
609
610 MPI_C_SOURCES = \
611     src/c/serialization.c \
612     src/c/deserialization.c
613
614
615 # List of the gateway c files
616 GATEWAY_C_SOURCES = \
617     sci_gateway/c/sci_mpi_init.c \
618     sci_gateway/c/sci_mpi_finalize.c \
619     sci_gateway/c/sci_mpi_comm_size.c \
620     sci_gateway/c/sci_mpi_comm_rank.c \
621     sci_gateway/c/sci_mpi_recv.c \
622     sci_gateway/c/sci_mpi_send.c \
623     sci_gateway/c/sci_mpi_irecv.c \
624     sci_gateway/c/sci_mpi_isend.c \
625     sci_gateway/c/sci_mpi_bcast.c \
626     sci_gateway/c/sci_mpi_wait.c \
627     sci_gateway/c/sci_mpi_get_processor_name.c
628
629 GATEWAY_CPP_SOURCES = \
630     sci_gateway/cpp/sci_mpi_createComm.cpp
631
632 libscimpi_la_CPPFLAGS = -Iincludes/ \
633     -Isrc/c/ \
634     -I$(top_srcdir)/modules/ast/includes/ast/ \
635     -I$(top_srcdir)/modules/ast/includes/exps/ \
636     -I$(top_srcdir)/modules/ast/includes/operations/ \
637     -I$(top_srcdir)/modules/ast/includes/parse/ \
638     -I$(top_srcdir)/modules/ast/includes/symbol/ \
639     -I$(top_srcdir)/modules/ast/includes/system_env/ \
640     -I$(top_srcdir)/modules/ast/includes/types/ \
641     -I$(top_srcdir)/modules/ast/includes/analysis/ \
642     -I$(top_srcdir)/modules/string/includes \
643     -I$(top_srcdir)/modules/dynamic_link/includes \
644     -I$(top_srcdir)/modules/output_stream/includes \
645     -I$(top_srcdir)/modules/localization/includes \
646     -I$(top_srcdir)/modules/api_scilab/includes \
647     -I$(top_srcdir)/modules/elementary_functions/includes \
648     $(OPENMPI_CFLAGS)
649
650
651 # libscimpi_la_LDFLAGS = $(LAMPI_LDFLAGS)
652 libscimpi_la_LIBADD = $(OPENMPI_LIBS)
653
654 # Name of the future library (.la will be replace by .so, .a, etc regarding
655 # the system)
656 pkglib_LTLIBRARIES = libscimpi.la
657
658 # All the sources needed by libscimpi.la
659 libscimpi_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CPP_SOURCES) $(MPI_C_SOURCES) $(MPI_CPP_SOURCES)
660 #$(GATEWAY_FORTRAN_SOURCES) $(MPI_FORTRAN_SOURCES)
661
662 #### Target ######
663 modulename = mpi
664
665 #### mpi : Conf files ####
666 libscimpi_la_rootdir = $(mydatadir)
667 libscimpi_la_root_DATA = readme.txt
668
669 #### mpi : init scripts ####
670 libscimpi_la_etcdir = $(mydatadir)/etc
671 libscimpi_la_etc_DATA = etc/mpi.quit etc/mpi.start
672
673 #### mpi : gateway declaration ####
674 libscimpi_la_sci_gatewaydir = $(mydatadir)/sci_gateway
675 libscimpi_la_sci_gateway_DATA = sci_gateway/mpi_gateway.xml
676
677 #### mpi : include files ####
678 libscimpi_la_includedir = $(pkgincludedir)/mpi
679 libscimpi_la_include_HEADERS = includes/gw_mpi.h \
680                                includes/dynlib_mpi.h \
681                                includes/sciMpiComm.hxx
682
683
684 # Where all the Scilab stuff is installed (macros, help, ...)
685 mydatadir = $(pkgdatadir)/modules/$(modulename)
686
687 # Set AM_* SCI detected settings
688 AM_CPPFLAGS = $(SCI_CPPFLAGS)
689 AM_CFLAGS = $(SCI_CFLAGS)
690 AM_CXXFLAGS = $(SCI_CXXFLAGS)
691 # append includes to AM_FFLAGS to manage fortran includes
692 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
693
694 # Tag shared libraries with the Scilab version
695 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
696
697 # splint options
698 SPLINT_OPTIONS = -weak -booltype BOOL
699
700 ########################### JAVA ######################################
701 #### We are delegating java compilation to ant... Thanks to that
702 #### the procedure will be the same with Microsoft Windows (C)
703 #### and Linux/Unix
704 #######################################################################
705 TARGETS_ALL = $(am__append_1)
706
707 ################ MACROS ######################
708 # Rule to build a macro
709 # NOT USED  AT THE MOMENT
710 SUFFIXES = .sci 
711
712 ########### INSTALL DOCUMENTATION ###################
713
714 # Install documentation files into the right target
715 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
716 # automake needs the html files to be present which is not the case when
717 # we are building Scilab
718
719 # Where it should be installed
720 pkgdocdir = $(mydatadir)
721
722 # What is the mask of the help source
723 DOCMASKXML = *.xml
724
725 # What is the mask of the MathML sources
726 DOCMASKMML = *.mml
727
728 ########### INSTALL DATA ###################
729 # Install macros, help & demos
730 # Where it should be installed
731 pkgmacrosdir = $(mydatadir)
732 # Which directory we process
733 MACRODIRS = macros/
734 # Mask of the Scilab sources macros
735 MACROMASK = *.sci
736 # Mask of the Scilab executable sources macros
737 MACROBUILDMASK = *.sce
738 # Mask of the Scilab compiled macros
739 MACROBINMASK = *.bin
740 # List of the standard directory for tests
741 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
742 # Where the demos should be installed
743 pkgdemosdir = $(mydatadir)
744 # List of the standard directory for demos
745 DEMOS_DIR = demos
746 # List of the standard directory for examples
747 EXAMPLES_DIR = examples
748 # Where to export JAVA archives (.jar)
749 JARDIR = jar/
750 # JAR files mask
751 JARMASK = *.jar
752 # Chapter file 
753 HELP_CHAPTERDIR = help/
754 HELP_CHAPTERFILE = addchapter.sce
755 HELP_CHAPTERLANG = en_US fr_FR pt_BR
756 all: all-am
757
758 .SUFFIXES:
759 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
760 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
761         @for dep in $?; do \
762           case '$(am__configure_deps)' in \
763             *$$dep*) \
764               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
765                 && { if test -f $@; then exit 0; else break; fi; }; \
766               exit 1;; \
767           esac; \
768         done; \
769         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/mpi/Makefile'; \
770         $(am__cd) $(top_srcdir) && \
771           $(AUTOMAKE) --foreign modules/mpi/Makefile
772 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
773         @case '$?' in \
774           *config.status*) \
775             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
776           *) \
777             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
778             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
779         esac;
780 $(top_srcdir)/Makefile.incl.am $(am__empty):
781
782 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
783         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
784
785 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
786         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
787 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
788         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
789 $(am__aclocal_m4_deps):
790
791 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
792         @$(NORMAL_INSTALL)
793         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
794         list2=; for p in $$list; do \
795           if test -f $$p; then \
796             list2="$$list2 $$p"; \
797           else :; fi; \
798         done; \
799         test -z "$$list2" || { \
800           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
801           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
802           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
803           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
804         }
805
806 uninstall-pkglibLTLIBRARIES:
807         @$(NORMAL_UNINSTALL)
808         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
809         for p in $$list; do \
810           $(am__strip_dir) \
811           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
812           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
813         done
814
815 clean-pkglibLTLIBRARIES:
816         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
817         @list='$(pkglib_LTLIBRARIES)'; \
818         locs=`for p in $$list; do echo $$p; done | \
819               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
820               sort -u`; \
821         test -z "$$locs" || { \
822           echo rm -f $${locs}; \
823           rm -f $${locs}; \
824         }
825 sci_gateway/c/$(am__dirstamp):
826         @$(MKDIR_P) sci_gateway/c
827         @: > sci_gateway/c/$(am__dirstamp)
828 sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
829         @$(MKDIR_P) sci_gateway/c/$(DEPDIR)
830         @: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
831 sci_gateway/c/libscimpi_la-sci_mpi_init.lo:  \
832         sci_gateway/c/$(am__dirstamp) \
833         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
834 sci_gateway/c/libscimpi_la-sci_mpi_finalize.lo:  \
835         sci_gateway/c/$(am__dirstamp) \
836         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
837 sci_gateway/c/libscimpi_la-sci_mpi_comm_size.lo:  \
838         sci_gateway/c/$(am__dirstamp) \
839         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
840 sci_gateway/c/libscimpi_la-sci_mpi_comm_rank.lo:  \
841         sci_gateway/c/$(am__dirstamp) \
842         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
843 sci_gateway/c/libscimpi_la-sci_mpi_recv.lo:  \
844         sci_gateway/c/$(am__dirstamp) \
845         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
846 sci_gateway/c/libscimpi_la-sci_mpi_send.lo:  \
847         sci_gateway/c/$(am__dirstamp) \
848         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
849 sci_gateway/c/libscimpi_la-sci_mpi_irecv.lo:  \
850         sci_gateway/c/$(am__dirstamp) \
851         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
852 sci_gateway/c/libscimpi_la-sci_mpi_isend.lo:  \
853         sci_gateway/c/$(am__dirstamp) \
854         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
855 sci_gateway/c/libscimpi_la-sci_mpi_bcast.lo:  \
856         sci_gateway/c/$(am__dirstamp) \
857         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
858 sci_gateway/c/libscimpi_la-sci_mpi_wait.lo:  \
859         sci_gateway/c/$(am__dirstamp) \
860         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
861 sci_gateway/c/libscimpi_la-sci_mpi_get_processor_name.lo:  \
862         sci_gateway/c/$(am__dirstamp) \
863         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
864 sci_gateway/cpp/$(am__dirstamp):
865         @$(MKDIR_P) sci_gateway/cpp
866         @: > sci_gateway/cpp/$(am__dirstamp)
867 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
868         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
869         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
870 sci_gateway/cpp/libscimpi_la-sci_mpi_createComm.lo:  \
871         sci_gateway/cpp/$(am__dirstamp) \
872         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
873 src/c/$(am__dirstamp):
874         @$(MKDIR_P) src/c
875         @: > src/c/$(am__dirstamp)
876 src/c/$(DEPDIR)/$(am__dirstamp):
877         @$(MKDIR_P) src/c/$(DEPDIR)
878         @: > src/c/$(DEPDIR)/$(am__dirstamp)
879 src/c/libscimpi_la-serialization.lo: src/c/$(am__dirstamp) \
880         src/c/$(DEPDIR)/$(am__dirstamp)
881 src/c/libscimpi_la-deserialization.lo: src/c/$(am__dirstamp) \
882         src/c/$(DEPDIR)/$(am__dirstamp)
883 src/cpp/$(am__dirstamp):
884         @$(MKDIR_P) src/cpp
885         @: > src/cpp/$(am__dirstamp)
886 src/cpp/$(DEPDIR)/$(am__dirstamp):
887         @$(MKDIR_P) src/cpp/$(DEPDIR)
888         @: > src/cpp/$(DEPDIR)/$(am__dirstamp)
889 src/cpp/libscimpi_la-getOptionalComm.lo: src/cpp/$(am__dirstamp) \
890         src/cpp/$(DEPDIR)/$(am__dirstamp)
891
892 libscimpi.la: $(libscimpi_la_OBJECTS) $(libscimpi_la_DEPENDENCIES) $(EXTRA_libscimpi_la_DEPENDENCIES) 
893         $(AM_V_CXXLD)$(CXXLINK) -rpath $(pkglibdir) $(libscimpi_la_OBJECTS) $(libscimpi_la_LIBADD) $(LIBS)
894
895 mostlyclean-compile:
896         -rm -f *.$(OBJEXT)
897         -rm -f sci_gateway/c/*.$(OBJEXT)
898         -rm -f sci_gateway/c/*.lo
899         -rm -f sci_gateway/cpp/*.$(OBJEXT)
900         -rm -f sci_gateway/cpp/*.lo
901         -rm -f src/c/*.$(OBJEXT)
902         -rm -f src/c/*.lo
903         -rm -f src/cpp/*.$(OBJEXT)
904         -rm -f src/cpp/*.lo
905
906 distclean-compile:
907         -rm -f *.tab.c
908
909 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_bcast.Plo@am__quote@ # am--include-marker
910 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Plo@am__quote@ # am--include-marker
911 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Plo@am__quote@ # am--include-marker
912 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_finalize.Plo@am__quote@ # am--include-marker
913 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_get_processor_name.Plo@am__quote@ # am--include-marker
914 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_init.Plo@am__quote@ # am--include-marker
915 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_irecv.Plo@am__quote@ # am--include-marker
916 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_isend.Plo@am__quote@ # am--include-marker
917 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_recv.Plo@am__quote@ # am--include-marker
918 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_send.Plo@am__quote@ # am--include-marker
919 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_wait.Plo@am__quote@ # am--include-marker
920 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscimpi_la-sci_mpi_createComm.Plo@am__quote@ # am--include-marker
921 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscimpi_la-deserialization.Plo@am__quote@ # am--include-marker
922 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscimpi_la-serialization.Plo@am__quote@ # am--include-marker
923 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libscimpi_la-getOptionalComm.Plo@am__quote@ # am--include-marker
924
925 $(am__depfiles_remade):
926         @$(MKDIR_P) $(@D)
927         @echo '# dummy' >$@-t && $(am__mv) $@-t $@
928
929 am--depfiles: $(am__depfiles_remade)
930
931 .c.o:
932 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
933 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
934 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
935 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
936 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
937 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
938
939 .c.obj:
940 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
941 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
942 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
943 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
944 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
945 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
946
947 .c.lo:
948 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
949 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
950 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
951 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
952 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
953 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
954
955 sci_gateway/c/libscimpi_la-sci_mpi_init.lo: sci_gateway/c/sci_mpi_init.c
956 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_init.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_init.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_init.lo `test -f 'sci_gateway/c/sci_mpi_init.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_init.c
957 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_init.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_init.Plo
958 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_init.c' object='sci_gateway/c/libscimpi_la-sci_mpi_init.lo' libtool=yes @AMDEPBACKSLASH@
959 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
960 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_init.lo `test -f 'sci_gateway/c/sci_mpi_init.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_init.c
961
962 sci_gateway/c/libscimpi_la-sci_mpi_finalize.lo: sci_gateway/c/sci_mpi_finalize.c
963 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_finalize.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_finalize.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_finalize.lo `test -f 'sci_gateway/c/sci_mpi_finalize.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_finalize.c
964 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_finalize.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_finalize.Plo
965 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_finalize.c' object='sci_gateway/c/libscimpi_la-sci_mpi_finalize.lo' libtool=yes @AMDEPBACKSLASH@
966 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
967 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_finalize.lo `test -f 'sci_gateway/c/sci_mpi_finalize.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_finalize.c
968
969 sci_gateway/c/libscimpi_la-sci_mpi_comm_size.lo: sci_gateway/c/sci_mpi_comm_size.c
970 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_comm_size.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_comm_size.lo `test -f 'sci_gateway/c/sci_mpi_comm_size.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_comm_size.c
971 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Plo
972 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_comm_size.c' object='sci_gateway/c/libscimpi_la-sci_mpi_comm_size.lo' libtool=yes @AMDEPBACKSLASH@
973 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
974 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_comm_size.lo `test -f 'sci_gateway/c/sci_mpi_comm_size.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_comm_size.c
975
976 sci_gateway/c/libscimpi_la-sci_mpi_comm_rank.lo: sci_gateway/c/sci_mpi_comm_rank.c
977 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_comm_rank.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_comm_rank.lo `test -f 'sci_gateway/c/sci_mpi_comm_rank.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_comm_rank.c
978 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Plo
979 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_comm_rank.c' object='sci_gateway/c/libscimpi_la-sci_mpi_comm_rank.lo' libtool=yes @AMDEPBACKSLASH@
980 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
981 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_comm_rank.lo `test -f 'sci_gateway/c/sci_mpi_comm_rank.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_comm_rank.c
982
983 sci_gateway/c/libscimpi_la-sci_mpi_recv.lo: sci_gateway/c/sci_mpi_recv.c
984 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_recv.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_recv.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_recv.lo `test -f 'sci_gateway/c/sci_mpi_recv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_recv.c
985 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_recv.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_recv.Plo
986 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_recv.c' object='sci_gateway/c/libscimpi_la-sci_mpi_recv.lo' libtool=yes @AMDEPBACKSLASH@
987 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
988 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_recv.lo `test -f 'sci_gateway/c/sci_mpi_recv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_recv.c
989
990 sci_gateway/c/libscimpi_la-sci_mpi_send.lo: sci_gateway/c/sci_mpi_send.c
991 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_send.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_send.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_send.lo `test -f 'sci_gateway/c/sci_mpi_send.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_send.c
992 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_send.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_send.Plo
993 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_send.c' object='sci_gateway/c/libscimpi_la-sci_mpi_send.lo' libtool=yes @AMDEPBACKSLASH@
994 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
995 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_send.lo `test -f 'sci_gateway/c/sci_mpi_send.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_send.c
996
997 sci_gateway/c/libscimpi_la-sci_mpi_irecv.lo: sci_gateway/c/sci_mpi_irecv.c
998 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_irecv.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_irecv.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_irecv.lo `test -f 'sci_gateway/c/sci_mpi_irecv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_irecv.c
999 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_irecv.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_irecv.Plo
1000 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_irecv.c' object='sci_gateway/c/libscimpi_la-sci_mpi_irecv.lo' libtool=yes @AMDEPBACKSLASH@
1001 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1002 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_irecv.lo `test -f 'sci_gateway/c/sci_mpi_irecv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_irecv.c
1003
1004 sci_gateway/c/libscimpi_la-sci_mpi_isend.lo: sci_gateway/c/sci_mpi_isend.c
1005 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_isend.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_isend.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_isend.lo `test -f 'sci_gateway/c/sci_mpi_isend.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_isend.c
1006 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_isend.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_isend.Plo
1007 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_isend.c' object='sci_gateway/c/libscimpi_la-sci_mpi_isend.lo' libtool=yes @AMDEPBACKSLASH@
1008 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1009 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_isend.lo `test -f 'sci_gateway/c/sci_mpi_isend.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_isend.c
1010
1011 sci_gateway/c/libscimpi_la-sci_mpi_bcast.lo: sci_gateway/c/sci_mpi_bcast.c
1012 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_bcast.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_bcast.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_bcast.lo `test -f 'sci_gateway/c/sci_mpi_bcast.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_bcast.c
1013 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_bcast.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_bcast.Plo
1014 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_bcast.c' object='sci_gateway/c/libscimpi_la-sci_mpi_bcast.lo' libtool=yes @AMDEPBACKSLASH@
1015 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1016 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_bcast.lo `test -f 'sci_gateway/c/sci_mpi_bcast.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_bcast.c
1017
1018 sci_gateway/c/libscimpi_la-sci_mpi_wait.lo: sci_gateway/c/sci_mpi_wait.c
1019 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_wait.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_wait.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_wait.lo `test -f 'sci_gateway/c/sci_mpi_wait.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_wait.c
1020 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_wait.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_wait.Plo
1021 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_wait.c' object='sci_gateway/c/libscimpi_la-sci_mpi_wait.lo' libtool=yes @AMDEPBACKSLASH@
1022 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1023 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_wait.lo `test -f 'sci_gateway/c/sci_mpi_wait.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_wait.c
1024
1025 sci_gateway/c/libscimpi_la-sci_mpi_get_processor_name.lo: sci_gateway/c/sci_mpi_get_processor_name.c
1026 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_get_processor_name.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_get_processor_name.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_get_processor_name.lo `test -f 'sci_gateway/c/sci_mpi_get_processor_name.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_get_processor_name.c
1027 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_get_processor_name.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_get_processor_name.Plo
1028 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_get_processor_name.c' object='sci_gateway/c/libscimpi_la-sci_mpi_get_processor_name.lo' libtool=yes @AMDEPBACKSLASH@
1029 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1030 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_get_processor_name.lo `test -f 'sci_gateway/c/sci_mpi_get_processor_name.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_get_processor_name.c
1031
1032 src/c/libscimpi_la-serialization.lo: src/c/serialization.c
1033 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscimpi_la-serialization.lo -MD -MP -MF src/c/$(DEPDIR)/libscimpi_la-serialization.Tpo -c -o src/c/libscimpi_la-serialization.lo `test -f 'src/c/serialization.c' || echo '$(srcdir)/'`src/c/serialization.c
1034 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscimpi_la-serialization.Tpo src/c/$(DEPDIR)/libscimpi_la-serialization.Plo
1035 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/serialization.c' object='src/c/libscimpi_la-serialization.lo' libtool=yes @AMDEPBACKSLASH@
1036 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1037 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscimpi_la-serialization.lo `test -f 'src/c/serialization.c' || echo '$(srcdir)/'`src/c/serialization.c
1038
1039 src/c/libscimpi_la-deserialization.lo: src/c/deserialization.c
1040 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscimpi_la-deserialization.lo -MD -MP -MF src/c/$(DEPDIR)/libscimpi_la-deserialization.Tpo -c -o src/c/libscimpi_la-deserialization.lo `test -f 'src/c/deserialization.c' || echo '$(srcdir)/'`src/c/deserialization.c
1041 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscimpi_la-deserialization.Tpo src/c/$(DEPDIR)/libscimpi_la-deserialization.Plo
1042 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/deserialization.c' object='src/c/libscimpi_la-deserialization.lo' libtool=yes @AMDEPBACKSLASH@
1043 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1044 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscimpi_la-deserialization.lo `test -f 'src/c/deserialization.c' || echo '$(srcdir)/'`src/c/deserialization.c
1045
1046 .cpp.o:
1047 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1048 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1049 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1050 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1051 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1052 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
1053
1054 .cpp.obj:
1055 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1056 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1057 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1058 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1059 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1060 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1061
1062 .cpp.lo:
1063 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1064 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1065 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
1066 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1067 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1068 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1069
1070 sci_gateway/cpp/libscimpi_la-sci_mpi_createComm.lo: sci_gateway/cpp/sci_mpi_createComm.cpp
1071 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscimpi_la-sci_mpi_createComm.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscimpi_la-sci_mpi_createComm.Tpo -c -o sci_gateway/cpp/libscimpi_la-sci_mpi_createComm.lo `test -f 'sci_gateway/cpp/sci_mpi_createComm.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_mpi_createComm.cpp
1072 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscimpi_la-sci_mpi_createComm.Tpo sci_gateway/cpp/$(DEPDIR)/libscimpi_la-sci_mpi_createComm.Plo
1073 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_mpi_createComm.cpp' object='sci_gateway/cpp/libscimpi_la-sci_mpi_createComm.lo' libtool=yes @AMDEPBACKSLASH@
1074 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1075 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscimpi_la-sci_mpi_createComm.lo `test -f 'sci_gateway/cpp/sci_mpi_createComm.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_mpi_createComm.cpp
1076
1077 src/cpp/libscimpi_la-getOptionalComm.lo: src/cpp/getOptionalComm.cpp
1078 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libscimpi_la-getOptionalComm.lo -MD -MP -MF src/cpp/$(DEPDIR)/libscimpi_la-getOptionalComm.Tpo -c -o src/cpp/libscimpi_la-getOptionalComm.lo `test -f 'src/cpp/getOptionalComm.cpp' || echo '$(srcdir)/'`src/cpp/getOptionalComm.cpp
1079 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libscimpi_la-getOptionalComm.Tpo src/cpp/$(DEPDIR)/libscimpi_la-getOptionalComm.Plo
1080 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/getOptionalComm.cpp' object='src/cpp/libscimpi_la-getOptionalComm.lo' libtool=yes @AMDEPBACKSLASH@
1081 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1082 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscimpi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libscimpi_la-getOptionalComm.lo `test -f 'src/cpp/getOptionalComm.cpp' || echo '$(srcdir)/'`src/cpp/getOptionalComm.cpp
1083
1084 mostlyclean-libtool:
1085         -rm -f *.lo
1086
1087 clean-libtool:
1088         -rm -rf .libs _libs
1089         -rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
1090         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
1091         -rm -rf src/c/.libs src/c/_libs
1092         -rm -rf src/cpp/.libs src/cpp/_libs
1093 install-libscimpi_la_etcDATA: $(libscimpi_la_etc_DATA)
1094         @$(NORMAL_INSTALL)
1095         @list='$(libscimpi_la_etc_DATA)'; test -n "$(libscimpi_la_etcdir)" || list=; \
1096         if test -n "$$list"; then \
1097           echo " $(MKDIR_P) '$(DESTDIR)$(libscimpi_la_etcdir)'"; \
1098           $(MKDIR_P) "$(DESTDIR)$(libscimpi_la_etcdir)" || exit 1; \
1099         fi; \
1100         for p in $$list; do \
1101           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1102           echo "$$d$$p"; \
1103         done | $(am__base_list) | \
1104         while read files; do \
1105           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscimpi_la_etcdir)'"; \
1106           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscimpi_la_etcdir)" || exit $$?; \
1107         done
1108
1109 uninstall-libscimpi_la_etcDATA:
1110         @$(NORMAL_UNINSTALL)
1111         @list='$(libscimpi_la_etc_DATA)'; test -n "$(libscimpi_la_etcdir)" || list=; \
1112         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1113         dir='$(DESTDIR)$(libscimpi_la_etcdir)'; $(am__uninstall_files_from_dir)
1114 install-libscimpi_la_rootDATA: $(libscimpi_la_root_DATA)
1115         @$(NORMAL_INSTALL)
1116         @list='$(libscimpi_la_root_DATA)'; test -n "$(libscimpi_la_rootdir)" || list=; \
1117         if test -n "$$list"; then \
1118           echo " $(MKDIR_P) '$(DESTDIR)$(libscimpi_la_rootdir)'"; \
1119           $(MKDIR_P) "$(DESTDIR)$(libscimpi_la_rootdir)" || exit 1; \
1120         fi; \
1121         for p in $$list; do \
1122           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1123           echo "$$d$$p"; \
1124         done | $(am__base_list) | \
1125         while read files; do \
1126           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscimpi_la_rootdir)'"; \
1127           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscimpi_la_rootdir)" || exit $$?; \
1128         done
1129
1130 uninstall-libscimpi_la_rootDATA:
1131         @$(NORMAL_UNINSTALL)
1132         @list='$(libscimpi_la_root_DATA)'; test -n "$(libscimpi_la_rootdir)" || list=; \
1133         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1134         dir='$(DESTDIR)$(libscimpi_la_rootdir)'; $(am__uninstall_files_from_dir)
1135 install-libscimpi_la_sci_gatewayDATA: $(libscimpi_la_sci_gateway_DATA)
1136         @$(NORMAL_INSTALL)
1137         @list='$(libscimpi_la_sci_gateway_DATA)'; test -n "$(libscimpi_la_sci_gatewaydir)" || list=; \
1138         if test -n "$$list"; then \
1139           echo " $(MKDIR_P) '$(DESTDIR)$(libscimpi_la_sci_gatewaydir)'"; \
1140           $(MKDIR_P) "$(DESTDIR)$(libscimpi_la_sci_gatewaydir)" || exit 1; \
1141         fi; \
1142         for p in $$list; do \
1143           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1144           echo "$$d$$p"; \
1145         done | $(am__base_list) | \
1146         while read files; do \
1147           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscimpi_la_sci_gatewaydir)'"; \
1148           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscimpi_la_sci_gatewaydir)" || exit $$?; \
1149         done
1150
1151 uninstall-libscimpi_la_sci_gatewayDATA:
1152         @$(NORMAL_UNINSTALL)
1153         @list='$(libscimpi_la_sci_gateway_DATA)'; test -n "$(libscimpi_la_sci_gatewaydir)" || list=; \
1154         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1155         dir='$(DESTDIR)$(libscimpi_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1156 install-libscimpi_la_includeHEADERS: $(libscimpi_la_include_HEADERS)
1157         @$(NORMAL_INSTALL)
1158         @list='$(libscimpi_la_include_HEADERS)'; test -n "$(libscimpi_la_includedir)" || list=; \
1159         if test -n "$$list"; then \
1160           echo " $(MKDIR_P) '$(DESTDIR)$(libscimpi_la_includedir)'"; \
1161           $(MKDIR_P) "$(DESTDIR)$(libscimpi_la_includedir)" || exit 1; \
1162         fi; \
1163         for p in $$list; do \
1164           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1165           echo "$$d$$p"; \
1166         done | $(am__base_list) | \
1167         while read files; do \
1168           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libscimpi_la_includedir)'"; \
1169           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libscimpi_la_includedir)" || exit $$?; \
1170         done
1171
1172 uninstall-libscimpi_la_includeHEADERS:
1173         @$(NORMAL_UNINSTALL)
1174         @list='$(libscimpi_la_include_HEADERS)'; test -n "$(libscimpi_la_includedir)" || list=; \
1175         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1176         dir='$(DESTDIR)$(libscimpi_la_includedir)'; $(am__uninstall_files_from_dir)
1177
1178 ID: $(am__tagged_files)
1179         $(am__define_uniq_tagged_files); mkid -fID $$unique
1180 tags: tags-am
1181 TAGS: tags
1182
1183 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1184         set x; \
1185         here=`pwd`; \
1186         $(am__define_uniq_tagged_files); \
1187         shift; \
1188         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1189           test -n "$$unique" || unique=$$empty_fix; \
1190           if test $$# -gt 0; then \
1191             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1192               "$$@" $$unique; \
1193           else \
1194             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1195               $$unique; \
1196           fi; \
1197         fi
1198 ctags: ctags-am
1199
1200 CTAGS: ctags
1201 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1202         $(am__define_uniq_tagged_files); \
1203         test -z "$(CTAGS_ARGS)$$unique" \
1204           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1205              $$unique
1206
1207 GTAGS:
1208         here=`$(am__cd) $(top_builddir) && pwd` \
1209           && $(am__cd) $(top_srcdir) \
1210           && gtags -i $(GTAGS_ARGS) "$$here"
1211 cscopelist: cscopelist-am
1212
1213 cscopelist-am: $(am__tagged_files)
1214         list='$(am__tagged_files)'; \
1215         case "$(srcdir)" in \
1216           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1217           *) sdir=$(subdir)/$(srcdir) ;; \
1218         esac; \
1219         for i in $$list; do \
1220           if test -f "$$i"; then \
1221             echo "$(subdir)/$$i"; \
1222           else \
1223             echo "$$sdir/$$i"; \
1224           fi; \
1225         done >> $(top_builddir)/cscope.files
1226
1227 distclean-tags:
1228         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1229
1230 distdir: $(BUILT_SOURCES)
1231         $(MAKE) $(AM_MAKEFLAGS) distdir-am
1232
1233 distdir-am: $(DISTFILES)
1234         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1235         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1236         list='$(DISTFILES)'; \
1237           dist_files=`for file in $$list; do echo $$file; done | \
1238           sed -e "s|^$$srcdirstrip/||;t" \
1239               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1240         case $$dist_files in \
1241           */*) $(MKDIR_P) `echo "$$dist_files" | \
1242                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1243                            sort -u` ;; \
1244         esac; \
1245         for file in $$dist_files; do \
1246           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1247           if test -d $$d/$$file; then \
1248             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1249             if test -d "$(distdir)/$$file"; then \
1250               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1251             fi; \
1252             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1253               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1254               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1255             fi; \
1256             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1257           else \
1258             test -f "$(distdir)/$$file" \
1259             || cp -p $$d/$$file "$(distdir)/$$file" \
1260             || exit 1; \
1261           fi; \
1262         done
1263 check-am: all-am
1264         $(MAKE) $(AM_MAKEFLAGS) check-local
1265 check: check-am
1266 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
1267 installdirs:
1268         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscimpi_la_etcdir)" "$(DESTDIR)$(libscimpi_la_rootdir)" "$(DESTDIR)$(libscimpi_la_sci_gatewaydir)" "$(DESTDIR)$(libscimpi_la_includedir)"; do \
1269           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1270         done
1271 install: install-am
1272 install-exec: install-exec-am
1273 install-data: install-data-am
1274 uninstall: uninstall-am
1275
1276 install-am: all-am
1277         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1278
1279 installcheck: installcheck-am
1280 install-strip:
1281         if test -z '$(STRIP)'; then \
1282           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1283             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1284               install; \
1285         else \
1286           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1287             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1288             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1289         fi
1290 mostlyclean-generic:
1291
1292 clean-generic:
1293
1294 distclean-generic:
1295         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1296         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1297         -rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1298         -rm -f sci_gateway/c/$(am__dirstamp)
1299         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1300         -rm -f sci_gateway/cpp/$(am__dirstamp)
1301         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1302         -rm -f src/c/$(am__dirstamp)
1303         -rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
1304         -rm -f src/cpp/$(am__dirstamp)
1305
1306 maintainer-clean-generic:
1307         @echo "This command is intended for maintainers to use"
1308         @echo "it deletes files that may require special tools to rebuild."
1309 clean: clean-am
1310
1311 clean-am: clean-generic clean-libtool clean-local \
1312         clean-pkglibLTLIBRARIES mostlyclean-am
1313
1314 distclean: distclean-am
1315                 -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_bcast.Plo
1316         -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Plo
1317         -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Plo
1318         -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_finalize.Plo
1319         -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_get_processor_name.Plo
1320         -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_init.Plo
1321         -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_irecv.Plo
1322         -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_isend.Plo
1323         -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_recv.Plo
1324         -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_send.Plo
1325         -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_wait.Plo
1326         -rm -f sci_gateway/cpp/$(DEPDIR)/libscimpi_la-sci_mpi_createComm.Plo
1327         -rm -f src/c/$(DEPDIR)/libscimpi_la-deserialization.Plo
1328         -rm -f src/c/$(DEPDIR)/libscimpi_la-serialization.Plo
1329         -rm -f src/cpp/$(DEPDIR)/libscimpi_la-getOptionalComm.Plo
1330         -rm -f Makefile
1331 distclean-am: clean-am distclean-compile distclean-generic \
1332         distclean-local distclean-tags
1333
1334 dvi: dvi-am
1335
1336 dvi-am:
1337
1338 html: html-am
1339
1340 html-am:
1341
1342 info: info-am
1343
1344 info-am:
1345
1346 install-data-am: install-data-local install-libscimpi_la_etcDATA \
1347         install-libscimpi_la_includeHEADERS \
1348         install-libscimpi_la_rootDATA \
1349         install-libscimpi_la_sci_gatewayDATA
1350
1351 install-dvi: install-dvi-am
1352
1353 install-dvi-am:
1354
1355 install-exec-am: install-pkglibLTLIBRARIES
1356
1357 install-html: install-html-am
1358
1359 install-html-am: install-html-local
1360
1361 install-info: install-info-am
1362
1363 install-info-am:
1364
1365 install-man:
1366
1367 install-pdf: install-pdf-am
1368
1369 install-pdf-am:
1370
1371 install-ps: install-ps-am
1372
1373 install-ps-am:
1374
1375 installcheck-am:
1376
1377 maintainer-clean: maintainer-clean-am
1378                 -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_bcast.Plo
1379         -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Plo
1380         -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Plo
1381         -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_finalize.Plo
1382         -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_get_processor_name.Plo
1383         -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_init.Plo
1384         -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_irecv.Plo
1385         -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_isend.Plo
1386         -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_recv.Plo
1387         -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_send.Plo
1388         -rm -f sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_wait.Plo
1389         -rm -f sci_gateway/cpp/$(DEPDIR)/libscimpi_la-sci_mpi_createComm.Plo
1390         -rm -f src/c/$(DEPDIR)/libscimpi_la-deserialization.Plo
1391         -rm -f src/c/$(DEPDIR)/libscimpi_la-serialization.Plo
1392         -rm -f src/cpp/$(DEPDIR)/libscimpi_la-getOptionalComm.Plo
1393         -rm -f Makefile
1394 maintainer-clean-am: distclean-am maintainer-clean-generic
1395
1396 mostlyclean: mostlyclean-am
1397
1398 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1399         mostlyclean-libtool
1400
1401 pdf: pdf-am
1402
1403 pdf-am:
1404
1405 ps: ps-am
1406
1407 ps-am:
1408
1409 uninstall-am: uninstall-libscimpi_la_etcDATA \
1410         uninstall-libscimpi_la_includeHEADERS \
1411         uninstall-libscimpi_la_rootDATA \
1412         uninstall-libscimpi_la_sci_gatewayDATA \
1413         uninstall-pkglibLTLIBRARIES
1414
1415 .MAKE: check-am install-am install-strip
1416
1417 .PHONY: CTAGS GTAGS TAGS all all-am all-local am--depfiles check \
1418         check-am check-local clean clean-generic clean-libtool \
1419         clean-local clean-pkglibLTLIBRARIES cscopelist-am ctags \
1420         ctags-am distclean distclean-compile distclean-generic \
1421         distclean-libtool distclean-local distclean-tags distdir dvi \
1422         dvi-am html html-am info info-am install install-am \
1423         install-data install-data-am install-data-local install-dvi \
1424         install-dvi-am install-exec install-exec-am install-html \
1425         install-html-am install-html-local install-info \
1426         install-info-am install-libscimpi_la_etcDATA \
1427         install-libscimpi_la_includeHEADERS \
1428         install-libscimpi_la_rootDATA \
1429         install-libscimpi_la_sci_gatewayDATA install-man install-pdf \
1430         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1431         install-ps-am install-strip installcheck installcheck-am \
1432         installdirs maintainer-clean maintainer-clean-generic \
1433         mostlyclean mostlyclean-compile mostlyclean-generic \
1434         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1435         uninstall-am uninstall-libscimpi_la_etcDATA \
1436         uninstall-libscimpi_la_includeHEADERS \
1437         uninstall-libscimpi_la_rootDATA \
1438         uninstall-libscimpi_la_sci_gatewayDATA \
1439         uninstall-pkglibLTLIBRARIES
1440
1441 .PRECIOUS: Makefile
1442
1443
1444 # This target enables tests for Scilab
1445 check-local: $(top_builddir)/scilab-bin test
1446         if test -d $(mydatadir)/tests; then \
1447           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1448         fi
1449 check-code:
1450         if test -f build.xml; then \
1451                 $(ANT) checkstyle; \
1452         fi
1453         if test -x "$(SPLINT)"; then \
1454                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1455         fi
1456 @NEED_JAVA_TRUE@java:
1457 # Some configurations needs to export JAVA_HOME in the current env
1458 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1459 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1460 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1461 @NEED_JAVA_TRUE@                $(ANT); \
1462 @NEED_JAVA_TRUE@        fi
1463
1464 @NEED_JAVA_TRUE@clean-java:
1465 # Some configurations needs to export JAVA_HOME in the current env
1466 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1467 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1468 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1469 @NEED_JAVA_TRUE@                $(ANT) clean; \
1470 @NEED_JAVA_TRUE@        fi;
1471
1472 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1473 # We call the target swig-build on the variable SWIG_WRAPPERS
1474
1475 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1476 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1477 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1478 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1479 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1480 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1481 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1482 @SWIG_TRUE@             done; \
1483 @SWIG_TRUE@     fi
1484
1485 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1486 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1487 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1488 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1489 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1490 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1491 @SWIG_TRUE@             done; \
1492 @SWIG_TRUE@     fi
1493
1494 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1495 # We call the target swig-build on the variable SWIG_WRAPPERS
1496
1497 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1498 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1499 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1500 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1501 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1502 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1503 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1504 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1505 @GIWS_TRUE@                     else \
1506 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1507 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1508 @GIWS_TRUE@                     fi \
1509 @GIWS_TRUE@             done; \
1510 @GIWS_TRUE@     fi
1511
1512 @GIWS_TRUE@giws-exception:
1513 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1514 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1515 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1516
1517 macros:
1518         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1519                 echo "Error : Cannot build $< : Scilab has not been built"; \
1520         else \
1521                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1522         fi)
1523
1524 # Removes the macros
1525 clean-macros:
1526 # Removes macros (*.bin generated from .sci)
1527         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1528                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1529                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1530         done
1531
1532 test:
1533 # More tests could be added here
1534         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1535         if test -f build.xml -a $$USEANT -eq 1; then \
1536                 $(ANT) test; \
1537         fi
1538
1539 all-local: $(TARGETS_ALL)
1540
1541 .sci.bin:
1542         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1543         echo "Error : Cannot build $< : Scilab has not been build"; \
1544         else \
1545         echo "Creating $@"; \
1546         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1547         fi )
1548
1549 install-html-local:
1550
1551 install-data-local-local:
1552 # Mainly for javasci
1553         @if test -d $(srcdir)/javadoc; then \
1554                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1555         fi
1556 # If the user wants the help sources to be installed
1557 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1558 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1559 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1560 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1561 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1562 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1563 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1564 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1565 @INSTALL_HELP_XML_TRUE@           done ; \
1566 @INSTALL_HELP_XML_TRUE@         fi; \
1567 @INSTALL_HELP_XML_TRUE@  fi; \
1568 @INSTALL_HELP_XML_TRUE@ done; \
1569 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1570 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1571 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1572 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1573 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1574 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1575 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1576 @INSTALL_HELP_XML_TRUE@           done ; \
1577 @INSTALL_HELP_XML_TRUE@         fi; \
1578 @INSTALL_HELP_XML_TRUE@ fi
1579 install-data-local:
1580 # Install the tests
1581         @echo "-------- Install tests (if any) --------"; \
1582         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1583           if test -d $(srcdir)/$$dir/; then \
1584             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1585                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1586                     if test -d "$(srcdir)/$$dir/$$file"; then \
1587                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1588                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1589                     else \
1590                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1591                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1592                     fi \
1593                   done; \
1594           fi; \
1595         done
1596 # Install the help chapter
1597         @echo "-------- Install the help chapter (if any) --------"; \
1598         for lang in $(HELP_CHAPTERLANG); do \
1599                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1600                 if test -f $$HELPFILE; then \
1601                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1602                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1603                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1604                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1605                 fi; \
1606         done
1607 # Install the demos & examples
1608         @echo "-------- Install demos & examples (if any) --------"; \
1609         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1610           if test -d $(srcdir)/$$dir/; then \
1611             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1612                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1613                     if test -d "$(srcdir)/$$dir/$$file"; then \
1614                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1615                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1616                     else \
1617                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1618                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1619                     fi \
1620                   done; \
1621           fi; \
1622         done
1623 # Install the macros
1624         @echo "-------- Install macros (if any) --------"; \
1625         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1626           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1627                 if test -d $(srcdir)/$$dir/; then \
1628                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1629                         if test -n "$(MACROSSPECIALEXT)"; then \
1630                                 specialExtDir=""; \
1631                                 for specialExt in $(MACROSSPECIALEXT); do \
1632                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1633                                 done; \
1634                                 FILELIST="$$FILELIST $$specialExtDir"; \
1635                         fi; \
1636                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1637                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1638                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1639                   done; \
1640                 fi; \
1641         done
1642 # Install java files (.jar)
1643         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1644         echo "-------- Install jar files --------"; \
1645     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1646           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1647                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1648                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1649           done ; \
1650         fi
1651
1652 ########### CLEAN ###################
1653 # Clean help (generated automatically by Scilab)
1654 # It used to clean the macro (clean-macros) but this was causing
1655 # make clean && make to fail Scilab startup
1656 @NEED_JAVA_TRUE@clean-local: clean-java
1657 @NEED_JAVA_FALSE@clean-local:
1658
1659 distclean-local:
1660         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1661
1662 .PHONY: macros java swig giws
1663
1664 # Provides macros compilation, Java compilation, cleaning
1665
1666 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1667 # Otherwise a system limit (for SysV at least) may be exceeded.
1668 .NOEXPORT: